[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBRadioGroup.UpdateData

Updates the linked dataset using the current selection in the control.

## Declaration

Source position: dbctrls.pp line 587

`protected procedure TDBRadioGroup.UpdateData(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

UpdateData us used to perform the actions needed to update a linked dataset using the current selection in the control.

In TDBRadioGroup, this involves assigning the content from the Value property to the field for the linked dataset. UpdateData uses the internal TFieldDataLink instance for the control to access the Field for the linked dataset. No actions are performed when the field in the TFieldDataLink instance has not been assigned.

UpdateData is assigned to the OnUpdateData event handler in the TFieldDataLink instance for the data-aware control.

## See also

TDBRadioGroup.DataField |  | Name of the Field in the linked dataset where the control Value is stored.
TDBRadioGroup.DataSource |  | Provides access to the linked dataset and the field definition used in the control.
TFieldDataLink.Field |  | The Field to which the datalink is attached.
TFieldDataLink.FieldName |  | FieldName - the name of the attached field, stored as a string.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.